package oop6_dat6_ss;

import java.io.*;

/**
 * Binäre Dateien: elementare Werte schreiben
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class WriteBinaryFile2
{

    public static void main(String[] args)
    {
        String fileName = "data2.bin";
        File aFile = new File(fileName);
        if ( ! aFile.exists()) {
            try {
                FileOutputStream aFileOutputStream = new FileOutputStream(aFile);
                // DataOutputStream unterstützt elementare Datentypen
                DataOutputStream aDataOutputStream = new DataOutputStream(aFileOutputStream);
                // 1. Anzahl intWerte, 2. intWerte...
                aDataOutputStream.writeInt(3);
                aDataOutputStream.writeInt(2);
                aDataOutputStream.writeInt(3);
                aDataOutputStream.writeInt(5);
                // 1. Anzahl doubleWerte, 2. doubleWerte ...
                aDataOutputStream.writeInt(2);
                aDataOutputStream.writeDouble(1.23456789);
                aDataOutputStream.writeDouble(1.E3);
                aFileOutputStream.close();
            } catch (IOException e) {
                // ...
            }
        }
    }
}
