package oop6_dat6_ss;

import java.io.Serializable;

/**
 * Serialisierung: Klasse Matrix
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class Matrix implements Serializable
{

    private int[][] m;
    private transient int noOfAccess;

    public Matrix(int row, int col)
    {
        m = new int[row][col];
        noOfAccess = 0;
    }

    public void setElt(int r, int c, int value)
    {
        if ((r >= 0) && (r < m.length) && (c >= 0) && (c < m[0].length)) {
            m[r][c] = value;
            noOfAccess ++;
        }
    }

    public void print()
    {
        for (int i = 0; i < m.length; i ++) {
            for (int j = 0; j < m[0].length; j ++) {
                System.out.print(m[i][j] + " ");
            }
            System.out.println();
        }
        System.out.println("NoOfAcccess: " + noOfAccess);
    }
}
