package oop6_dat6_ss;

import java.io.*;

/**
 * Binäre Dateien: elementare Werte lesen
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class ReadBinaryFile2
{

    public static void main(String[] args)
    {
        String fileName = "data2.bin";
        File aFile = new File(fileName);
        if (aFile.exists()) {
            try {
                FileInputStream aFileInputStream = new FileInputStream(aFile);
                DataInputStream aDataInputStream = new DataInputStream(aFileInputStream);
                // Einlesen der intWerte
                int numberOfInt = aDataInputStream.readInt();
                for (int i = 0; i < numberOfInt; i ++) {
                    System.out.println(aDataInputStream.readInt());
                }
                // Einlesen der doubleWerte
                int numberOfDouble = aDataInputStream.readInt();
                for (int i = 0; i < numberOfDouble; i ++) {
                    System.out.println(aDataInputStream.readDouble());
                }
                aFileInputStream.close();
            } catch (IOException e) {
                // ...
            }
        }
    }
}
