package oop6_dat6_ss;

import java.io.*;
import java.util.StringTokenizer;

/**
 *
 * @author Felix Rohrer <felix.rohrer@stud.hslu.ch>
 */
public class ReadTextFile1
{

    public static void main(String[] args)
    {
        String fileName = "data1.txt";
        File aFile = new File(fileName);
        if (aFile.exists()) {
            try {
                FileReader aFileReader = new FileReader(aFile);
                BufferedReader aBufferedReader = new BufferedReader(aFileReader);
                System.out.println(aBufferedReader.readLine());
                System.out.println(aBufferedReader.readLine());
                System.out.println();
                String line = aBufferedReader.readLine();
                while (line != null) { // while not EOF
                    Double d = Double.valueOf(line);
                    System.out.println(d);
                    line = aBufferedReader.readLine();
                }
                aFileReader.close();
            } catch (IOException e) {
                System.out.println("Exception: " + e.getMessage());
                return;
            }
        }
    }
}
